package com.ruoyi.common.core.domain.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 客户基本信息对象 cust_info_business
 * 
 * @author ruoyi
 * @date 2024-09-11
 */
@Data
public class CustInfoBusiness extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 客户类型：存量1/潜在0 */
    @Excel(name = "客户类型：存量1/潜在0")
    private String custType;

    /** 产品标签：第一位：存款、第二位：贷款、第三位：中收：xxx */
    @Excel(name = "产品标签：第一位：存款、第二位：贷款、第三位：中收：xxx")
    private String custTag;

    /** 企业规模:0小型：1中型：2大型 */
    @Excel(name = "企业规模:0小型：1中型：2大型")
    private String custScale;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String custName;

    /** 法人姓名 */
    @Excel(name = "法人姓名")
    private String lpName;

    /** 法人电话 */
    @Excel(name = "法人电话")
    private String custPhone;

    private String asset;

    private String credit;

    /** 客户号 */
    @Excel(name = "客户号")
    private String custId;

    /** 客户内码 */
    @Excel(name = "客户内码")
    private String custIsn;

    /** 注册资本 */
    @Excel(name = "注册资本")
    private String custCapital;

    /** 企业地址 */
    @Excel(name = "企业地址")
    private String custLocation;

    /** 是否贷款 */
    @Excel(name = "是否贷款")
    private String loanTag;

    /** 客户状态 */
    @Excel(name = "客户状态")
    private String status;

    /** 归属支行id */
    @Excel(name = "归属支行id")
    private String belongBranchId;

    /** 归属支行 */
    @Excel(name = "归属支行")
    private String belongBranchName;

    /** 归属网点id */
    @Excel(name = "归属网点id")
    private String belongOutletId;

    /** 归属网点 */
    @Excel(name = "归属网点")
    private String belongOutletName;

    /** 客户经理id */
    @Excel(name = "客户经理id")
    private String belongUserId;

    @Excel(name = "客户层级")
    private String custLevel;

    /** 客户经理 */
    @Excel(name = "客户经理")
    private String belongUserName;
    public String getBelongUserNameList() {
        return belongUserNameList;
    }

    public void setBelongUserNameList(String belongUserNameList) {
        this.belongUserNameList = belongUserNameList;
    }

    /**
     * 归属 网格客户经理名，多个按照逗号 隔开
     */
    private String belongUserNameList;
    /** 归属行政区划编码 */
    @Excel(name = "归属行政区划编码")
    private String regionCode;

    /** 统一社会信用识别码 */
    @Excel(name = "统一社会信用识别码")
    private String socialCreditCode;

    /** 企业固定电话 */
    @Excel(name = "企业固定电话")
    private String tel;

    /** 注册地址 */
    @Excel(name = "注册地址")
    private String registerLocation;

    /** 经营范围 */
    @Excel(name = "经营范围")
    private String businessScope;

    /** 纳税人识别号 */
    @Excel(name = "纳税人识别号")
    private String taxpayerIdentificationNumber;

    /** 纳税人资质 */
    @Excel(name = "纳税人资质")
    private String taxpayerQualification;

    /** 企业标签 */
    @Excel(name = "企业标签")
    private String label;

    /** 所属行业 */
    @Excel(name = "所属行业")
    private String industry;

    @ApiModelProperty(value = "所在行业")
    private String belongBusiness;
    /** 法人身份证号 */
    @Excel(name = "法人身份证号")
    private String custIdc;

    /** 年龄 */
    @Excel(name = "年龄")
    private String custAge;

    /** 性别 */
    @Excel(name = "性别")
    private String custGender;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生日")
    private Date birthday;

    private String recordStatus;

    public String getRecordStatus() {
        return recordStatus;
    }

    public void setRecordStatus(String recordStatus) {
        this.recordStatus = recordStatus;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCustType(String custType)
    {
        this.custType = custType;
    }

    public String getCustType()
    {
        return custType!=null?custType:"";
    }
    public void setCustTag(String custTag)
    {
        this.custTag = custTag;
    }

    public String getCustTag()
    {
        return custTag!=null?custTag:"";
    }
    public void setCustScale(String custScale)
    {
        this.custScale = custScale;
    }

    public String getCustScale()
    {
        return custScale!=null?custScale:"";
    }
    public void setCustName(String custName)
    {
        this.custName = custName;
    }

    public String getCustName()
    {
        return custName!=null?custName:"";
    }
    public void setLpName(String lpName)
    {
        this.lpName = lpName;
    }

    public String getLpName()
    {
        return lpName!=null?lpName:"";
    }
    public void setCustPhone(String custPhone)
    {
        this.custPhone = custPhone;
    }

    public String getCustPhone()
    {
        return custPhone!=null?custPhone:"";
    }
    public void setCustId(String custId)
    {
        this.custId = custId;
    }

    public String getCustId()
    {
        return custId!=null?custId:"";
    }
    public void setCustIsn(String custIsn)
    {
        this.custIsn = custIsn;
    }

    public String getCustIsn()
    {
        return custIsn!=null?custIsn:"";
    }
    public void setCustCapital(String custCapital)
    {
        this.custCapital = custCapital;
    }

    public String getCustCapital()
    {
        return custCapital!=null?custCapital:"";
    }
    public void setCustLocation(String custLocation)
    {
        this.custLocation = custLocation;
    }

    public String getCustLocation()
    {
        return custLocation!=null?custLocation:"";
    }
    public void setLoanTag(String loanTag)
    {
        this.loanTag = loanTag;
    }

    public String getLoanTag()
    {
        return loanTag!=null?loanTag:"";
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status!=null?status:"";
    }
    public void setBelongBranchId(String belongBranchId)
    {
        this.belongBranchId = belongBranchId;
    }

    public String getBelongBranchId()
    {
        return belongBranchId!=null?belongBranchId:"";
    }
    public void setBelongBranchName(String belongBranchName)
    {
        this.belongBranchName = belongBranchName;
    }

    public String getBelongBranchName()
    {
        return belongBranchName!=null?belongBranchName:"";
    }
    public void setBelongOutletId(String belongOutletId)
    {
        this.belongOutletId = belongOutletId;
    }

    public String getBelongOutletId()
    {
        return belongOutletId!=null?belongOutletId:"";
    }
    public void setBelongOutletName(String belongOutletName)
    {
        this.belongOutletName = belongOutletName;
    }

    public String getBelongOutletName()
    {
        return belongOutletName!=null?belongOutletName:"";
    }
    public void setBelongUserId(String belongUserId)
    {
        this.belongUserId = belongUserId;
    }

    public String getBelongUserId()
    {
        return belongUserId!=null?belongUserId:"";
    }
    public void setBelongUserName(String belongUserName)
    {
        this.belongUserName = belongUserName;
    }

    public String getBelongUserName()
    {
        return belongUserName!=null?belongUserName:"";
    }
    public void setRegionCode(String regionCode)
    {
        this.regionCode = regionCode;
    }

    public String getRegionCode()
    {
        return regionCode!=null?regionCode:"";
    }
    public void setSocialCreditCode(String socialCreditCode)
    {
        this.socialCreditCode = socialCreditCode;
    }

    public String getSocialCreditCode()
    {
        return socialCreditCode!=null?socialCreditCode:"";
    }
    public void setTel(String tel)
    {
        this.tel = tel;
    }

    public String getTel()
    {
        return tel!=null?tel:"";
    }
    public void setRegisterLocation(String registerLocation)
    {
        this.registerLocation = registerLocation;
    }

    public String getRegisterLocation()
    {
        return registerLocation!=null?registerLocation:"";
    }
    public void setBusinessScope(String businessScope)
    {
        this.businessScope = businessScope;
    }

    public String getBusinessScope()
    {
        return businessScope!=null?businessScope:"";
    }
    public void setTaxpayerIdentificationNumber(String taxpayerIdentificationNumber)
    {
        this.taxpayerIdentificationNumber = taxpayerIdentificationNumber;
    }

    public String getTaxpayerIdentificationNumber()
    {
        return taxpayerIdentificationNumber!=null?taxpayerIdentificationNumber:"";
    }
    public void setTaxpayerQualification(String taxpayerQualification)
    {
        this.taxpayerQualification = taxpayerQualification;
    }

    public String getTaxpayerQualification()
    {
        return taxpayerQualification!=null?taxpayerQualification:"";
    }
    public void setLabel(String label)
    {
        this.label = label;
    }

    public String getLabel()
    {
        return label!=null?label:"";
    }
    public void setIndustry(String industry)
    {
        this.industry = industry;
    }

    public String getIndustry()
    {
        return industry!=null?industry:"";
    }
    public void setCustIdc(String custIdc)
    {
        this.custIdc = custIdc;
    }

    public String getCustIdc()
    {
        return custIdc!=null?custIdc:"";
    }

    public String getCustAge() {
        return custAge!=null?custAge:"";
    }

    public void setCustAge(String custAge) {
        this.custAge = custAge;
    }

    public String getCustGender() {
        return custGender!=null?custGender:"";
    }

    public void setCustGender(String custGender) {
        this.custGender = custGender;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("custType", getCustType())
                .append("custTag", getCustTag())
                .append("custScale", getCustScale())
                .append("custName", getCustName())
                .append("lpName", getLpName())
                .append("custPhone", getCustPhone())
                .append("custId", getCustId())
                .append("custIsn", getCustIsn())
                .append("custCapital", getCustCapital())
                .append("custLocation", getCustLocation())
                .append("loanTag", getLoanTag())
                .append("status", getStatus())
                .append("belongBranchId", getBelongBranchId())
                .append("belongBranchName", getBelongBranchName())
                .append("belongOutletId", getBelongOutletId())
                .append("belongOutletName", getBelongOutletName())
                .append("belongUserId", getBelongUserId())
                .append("belongUserName", getBelongUserName())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("regionCode", getRegionCode())
                .append("socialCreditCode", getSocialCreditCode())
                .append("tel", getTel())
                .append("registerLocation", getRegisterLocation())
                .append("businessScope", getBusinessScope())
                .append("taxpayerIdentificationNumber", getTaxpayerIdentificationNumber())
                .append("taxpayerQualification", getTaxpayerQualification())
                .append("label", getLabel())
                .append("industry", getIndustry())
                .append("custIdc", getCustIdc())
                .append("birthday",getBirthday())
                .toString();
    }

    public String getBelongBusiness() {
        return belongBusiness;
    }

    public void setBelongBusiness(String belongBusiness) {
        this.belongBusiness = belongBusiness;
    }
}
